import { CdkScrollable } from '@angular/cdk/scrolling';
import { ElementRef } from '@angular/core';
import { ControlContainer } from '@angular/forms';
export declare class ScrollToFirstInvalidDirective {
    private readonly elRef;
    private readonly controlContainer;
    private readonly cdkScrollable;
    labelOffset: number;
    get containerEl(): HTMLElement | (Window & typeof globalThis);
    onSubmit(): void;
    constructor(elRef: ElementRef<HTMLElement>, controlContainer: ControlContainer, cdkScrollable: CdkScrollable);
    scrollToFirstInvalid(): void;
    getFirstInvalidInput(): HTMLElement;
    private getTopOffset;
}
